Bug 1243057 - Update to NetworkManager-openswan/libreswan 1.0.6 or later
Summary: Update to NetworkManager-openswan/libreswan 1.0.6 or later
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager-libreswan
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
Mark Flitter
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-14 16:35 UTC by Dan Williams
Modified: 2015-11-19 11:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
NetworkManager libreswan rebase to version 1.0.6 A number of bug fixes and enhancements have been incorporated from upstream, for example: * Password handling is now more robust * Connection start and stop is now more robust * Default routing is now autodetected from pushed routes * Added support for interactive password requests * Fixed erroneous import and export capability advertisement.
Clone Of:
Environment:
Last Closed: 2015-11-19 11:02:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Dan Williams 2015-07-14 16:35:35 UTC
Upstream NetworkManager-openswan (which also includes libreswan support) has many, many fixes over the version currently shipping in RHEL7.  The RHEL7 NetworkManager-libreswan package should be rebased to the upstream source and the various files changed/renamed to provide seamless upgrade.

Comment 4 Matěj Cepl 2015-09-17 10:23:43 UTC
There is https://brewweb.devel.redhat.com/buildinfo?buildID=454986 with NetworkManager-libreswan-1.0.6-1.el7, does it matter?

Comment 5 errata-xmlrpc 2015-11-19 11:02:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.